Name:           python-pubmed2pdf
Version:        0.0.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Python package to download PDFs from OA publications in PubMed

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ddomingof/PubMed2PDF
Source:         %{pypi_source pubmed2pdf}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pubmed2pdf' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pubmed2pdf
Summary:        %{summary}

%description -n python3-pubmed2pdf %_description


%prep
%autosetup -p1 -n pubmed2pdf-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pubmed2pdf -f %{pyproject_files}


%changelog
%autochangelog